progress bar never ends for some batch mode operations

2019-05-09 01:54 PM - Giovanni Manghi

Status: Open

Priority: Normal
Assignee:

Category: Processing/Core

Affected QGIS version:3.6.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29848

Description

For example the OGR tool to export data in PostGIS.

Actually the operation ends correctly, but the progress bar never reaches 100%.

History

#1 - 2019-05-10 04:51 AM - Nyall Dawson
- Status changed from Open to Feedback

| think this one is already fixed in master -- can you confirm?

#2 - 2019-05-11 06:00 PM - Giovanni Manghi
- Status changed from Feedback to Open

Nyall Dawson wrote:

| think this one is already fixed in master -- can you confirm?

| cannot test because of this:

https://issues.qgis.org/issues/22048

also if trying to run the export to postgis (ogr) tool | get a

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 133, in processAlgorithm

commands = self.getConsoleCommands(parameters, context, feedback, executing=True)

File "/usr/share/qgis/python/plugins/processing/algs/gdal/ogr2ogrtopostgislist.py"”, line 210, in getConsoleCommands

uri = uri_from_name(connection)

File "/usr/share/qgis/python/plugins/processing/tools/postgis.py", line 50, in uri_from_name

raise QgsProcessingException(QCoreApplication.translate("PostGIS", 'There is no defined database connection "{0}".").format(conn_name))
_core.QgsProcessingException: There is no defined database connection ™.
